Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.pcoll
Interface PersistManager

All Known Implementing Classes:
  JDBCPersistManager, JTAPersistManager, OraclePersistManager

public interface PersistManager

Field Summary
`static int` | `CLOSE_RETAIN_TABLE`
`static int` | `INIT_TABLE_EXISTS`
`static int` | `PCEVT_CANT_BE_PERSISTED`
`static int` | `PCEVT_NO_PASSIVATE_NON_ZERO_LOCK`
`static int` | `PCEVT_NO_PASSIVATE_NOT_ALL_ELEM_PERS`
`static int` | `PCEVT_NODE_RECENTLY_USED`

Method Summary
`void` | `changeParent(long id, long parid, int collid)`
`void` | `close()`
`void` | `close(int flags)`
`void` | `commit()`
`void` | `delete(long id, int collid)`
`void` | `deleteAll(int collid)`
`int` | `getMaxTabNameLength()`
`long` | `getTableSignature(java.lang.String tableName)`
`boolean` | `holdTableName(java.lang.String tabName, boolean forCreate)`
`void` | `init(int flags)`
`void` | `insert(long id, long parid, int collid, PCollKeyInfo[] keyArr, byte[] content)`
`void` | `notifyPCollEvent(int id, java.lang.Object obj, java.lang.Object otherInfo)`
`long` | `queryNextCollectionId()`
`long` | `queryNextNodeId(int colId)`
`long` | `queryNextObjId(int colId)`
`java.lang.Object[]` | `retrieve(long id, int collid, boolean keyonly, long[] parentIdRet)`
`long[]` | `retrieveIdsWithKey(int keyId, java.lang.Object keyVal, int collid)`
`void` | `setCommitThreshhold(int value)`
`void` | `setPCollManager(PCollManager mgr)`
`void` | `setPersistent(boolean pers)`
`void` | `setTableCreated(boolean tableCreated)`
`void` | `setTableName(java.lang.String tabName)`
`void` | `update(long id, long parid, int collid, PCollKeyInfo[] keyArr, byte[] content)`
`boolean` | `waitForTableName(java.lang.String tabName)`

Field Detail

### PCEVT_NO_PASSIVATE_NON_ZERO_LOCK

    public static final int PCEVT_NO_PASSIVATE_NON_ZERO_LOCK

  See Also:
    Constant Field Values

### PCEVT_NO_PASSIVATE_NOT_ALL_ELEM_PERS

    public static final int PCEVT_NO_PASSIVATE_NOT_ALL_ELEM_PERS

  See Also:
    Constant Field Values

### PCEVT_CANT_BE_PERSISTED

    public static final int PCEVT_CANT_BE_PERSISTED

  See Also:
    Constant Field Values

### PCEVT_NODE_RECENTLY_USED

    public static final int PCEVT_NODE_RECENTLY_USED

  See Also:
    Constant Field Values

### CLOSE_RETAIN_TABLE

    public static final int CLOSE_RETAIN_TABLE

  See Also:
    Constant Field Values

### INIT_TABLE_EXISTS

    public static final int INIT_TABLE_EXISTS

  See Also:
    Constant Field Values

Method Detail

### getMaxTabNameLength

    public int getMaxTabNameLength()

### setPCollManager

    public void setPCollManager(PCollManager mgr)

### setTableName

    public void setTableName(java.lang.String tabName)

### setCommitThreshhold

    public void setCommitThreshhold(int value)

### holdTableName

    public boolean holdTableName(java.lang.String tabName,
                                 boolean forCreate)

### waitForTableName

    public boolean waitForTableName(java.lang.String tabName)

### queryNextCollectionId

    public long queryNextCollectionId()

### queryNextObjId

    public long queryNextObjId(int colId)

### queryNextNodeId

    public long queryNextNodeId(int colId)

### getTableSignature

    public long getTableSignature(java.lang.String tableName)

### insert

    public void insert(long id,
                       long parid,
                       int collid,
                       PCollKeyInfo[] keyArr,
                       byte[] content)

### update

    public void update(long id,
                       long parid,
                       int collid,
                       PCollKeyInfo[] keyArr,
                       byte[] content)

### changeParent

    public void changeParent(long id,
                             long parid,
                             int collid)

### delete

    public void delete(long id,
                       int collid)

### deleteAll

    public void deleteAll(int collid)

### retrieve

    public java.lang.Object[] retrieve(long id,
                                       int collid,
                                       boolean keyonly,
                                       long[] parentIdRet)

### retrieveIdsWithKey

    public long[] retrieveIdsWithKey(int keyId,
                                     java.lang.Object keyVal,
                                     int collid)

### commit

    public void commit()

### close

    public void close()

### close

    public void close(int flags)

### init

    public void init(int flags)

### setPersistent

    public void setPersistent(boolean pers)

### setTableCreated

    public void setTableCreated(boolean tableCreated)

### notifyPCollEvent

    public void notifyPCollEvent(int id,
                                 java.lang.Object obj,
                                 java.lang.Object otherInfo)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.